return {
  "m4xshen/hardtime.nvim",
  opts = {
    disabled_keys = {
      ["<Up>"] = {},
      ["<Down>"] = {},
      ["<Left>"] = {},
      ["<Right>"] = {},
      ["<Home>"] = {},
      ["<End>"] = {},
    },
    restricted_keys = {
      ["<Up>"] = { "n", "i", "x" },
      ["<Down>"] = { "n", "i", "x" },
      ["<Left>"] = { "n", "i", "x" },
      ["<Right>"] = { "n", "i", "x" },
      ["<Home>"] = { "i" },
      ["<End>"] = { "i" },
    },
    hints = {
      ["<End>a"] = {
        message = function()
          return "Use A insead of <End>a"
        end,
        length = 6,
      },
      ["ddO"] = {
        message = function()
          return "Use cc instead of ddO"
        end,
        length = 3,
      }
    }
  },
  config = function(_, opts)
    require("hardtime").setup(opts)
    require("hardtime").enable()
  end
}
