local utils = require "astronvim.utils"

return {
  {
    "mickael-menu/zk-nvim",
    opts = {
      picker = "telescope",
    },
    cmd = { "ZkNew", "ZkIndex", "ZkNewFromTitleSelection",
            "ZkNewFromContentSelection", "ZkCd", "ZkNotes",
            "ZkBacklinks", "ZkLinks", "ZkInsertLink",
            "ZkInsertLinkAtSelection", "ZkMatch", "ZkTags" },
    config = function(_, opts)
      require("zk").setup(opts)
      require("zk").enable()
    end,
  },

  {
    "williamboman/mason-lspconfig.nvim",
    opts = function(_, opts) opts.ensure_installed = utils.list_insert_unique(opts.ensure_installed, "zk") end,
  },
}
